import { AfterContentInit, ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../services/model.service";
import { StiEditableContent } from "../system/interfaces";
import { StiEditableContentService } from "../services/sti-editable-content.service";
import { StiHorizontalAlignment } from "../system/enums";
import { StiMouseService } from "../services/mouse.service";
import { Subscription } from "rxjs";
import * as i0 from "@angular/core";
export declare class StiEditableContentComponent implements OnInit, AfterContentInit, OnDestroy {
    model: StiModelService;
    editableContentService: StiEditableContentService;
    mouseService: StiMouseService;
    private cdr;
    elementRef: ElementRef;
    editableContent: StiEditableContent;
    displayContent: string;
    required: boolean;
    eParent: any;
    hideEmpty: boolean;
    active: boolean;
    alignment?: StiHorizontalAlignment;
    isTableTotalHeader?: boolean;
    disablePadding?: boolean;
    fromButton?: boolean;
    parentCursor?: string;
    isTableHeader?: boolean;
    mouseUpSubscription: Subscription;
    isInitialize: boolean;
    focused: boolean;
    get cursor(): "" | "text" | "default";
    get showPlaceholder(): boolean;
    hasWordWrap(): boolean;
    get showNonActivePlaceholder(): boolean;
    get placeholderOutline(): string;
    click(): void;
    get isEditable(): boolean;
    get width(): string;
    get align(): string;
    constructor(model: StiModelService, editableContentService: StiEditableContentService, mouseService: StiMouseService, cdr: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    needToUpdate(event: any): void;
    focus(): void;
    blur(): void;
    setContent(innerText: any): void;
    getCharCode(event: any): any;
    disableEnter(event: any): void;
    disableDrag(event: any): void;
    closeAll(element: any): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiEditableContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiEditableContentComponent, "sti-editable-content-component", never, { "editableContent": "editableContent"; "displayContent": "displayContent"; "required": "required"; "eParent": "eParent"; "hideEmpty": "hideEmpty"; "active": "active"; "alignment": "alignment"; "isTableTotalHeader": "isTableTotalHeader"; "disablePadding": "disablePadding"; "fromButton": "fromButton"; "parentCursor": "parentCursor"; "isTableHeader": "isTableHeader"; }, {}, never, never, false, never>;
}
